/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */

:root {
    --paletteColor1: #ffcd05;
    --paletteColor2: #fcb424;
    --paletteColor3: #504e4a;
    --paletteColor4: #0a0500;
}

 nav[class*="menu"] li a {
   color: var(--linkInitialColor) !important;
 }
 
 .post-type-archive-product .woocommerce-products-header,
 .post-type-archive-product .woocommerce-no-products-found {
    display: none;
 }

 .single-product .posted_in {
    display: none !important;
 }

 .elementor-kit-20431 a {
    color: inherit !important;
 }

/** Upsells Customization **/

.single-product article .up-sells {
    margin-top: 50px;
    margin-left: auto;
    margin-right: auto;
    width: var(--theme-container-width);
    max-width: var(--theme-block-max-width);
}

.single-product article .up-sells > h2 {
   --fontSize: 20px;
   margin-bottom: 30px;
}

.single-product article > .up-sells {
   display: none;
}

.single-product form.cart .quantity {
   display: none;
}

/** Mini Cart (Off Canvas) Customizations **/
#woo-cart-panel span.subtotal {
   text-decoration: line-through;
   opacity: 0.4;
}

#woo-cart-panel small.includes_tax {
   position: absolute;
   width: 200px;
   right: 0;
   text-align: right;
   top: calc(100% - 4px);
}

#woo-cart-panel span.total-incl-tax {
   position: relative;
}

p.woocommerce-mini-cart__total.total {
   margin-bottom: 16px;
}

#woo-cart-panel .eh-payment-methods {
   margin-top: 20px;
}

/** Marquee */
.marquee-wrapper {
   overflow: hidden;
   white-space: nowrap;
   height: 40px;
 }

 .marquee {
   font-weight: 500;
   padding: 10px 0;
   margin-top: 10px;
   margin-bottom: -10px;
   display: inline-block;
   animation: marquee 40s linear infinite;
   transform: translateX(50%);
 }

 .marquee2 {
   display: inline-block;
   animation: marquee2 40s linear infinite;
   animation-delay: 20s;
 }

 @keyframes marquee {
   from {
     transform: translateX(50%);
   }
   to {
     transform: translateX(-100%);
   }
 }

 @keyframes marquee2 {
   from {
     transform: translateX(0%);
   }
   to {
     transform: translateX(-300%);
   }
 }

.eh-price--has-discount .wcpbc-price {
    text-decoration: line-through;
    opacity: 0.4;
}

.eh-price__discount {
    font-weight: 600;
    display: inline-block;
    margin-left: 5px;
    margin-right: 5px;
    color: var(--paletteColor1);
}

.single-product .eh-price--del .eh-price__discount {
    font-weight: 700;
}

.single-product .summary .eh-price__discount__badge {
    display: none;
}

.eh-cart-price__discount {
    font-size: 0.825em;
    font-weight: 500;
    display: inline-block;
    color: #000;
    opacity: 0.4;
    margin-left: 5px;
}

.eh-price__discount__badge {
    position: absolute;
    top: -20px;
    left: -10px;
    background: var(--paletteColor1);
    font-weight: 700;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: rotate(-20deg);
    font-size: 15px;
    color: var(--paletteColor4);
}

.woocommerce-cart .eh-price__discount__badge {
    display: none !important;
}

.eh-price__discount-notice {
    display: inline-block;
    border-radius: 6px;
    background: var(--paletteColor1);
    font-size: 13px;
    line-height: 1;
    padding: 5px 8px;
    font-weight: 700;
    color: var(--paletteColor4);
}

.woocommerce-cart .eh-price__discount-notice {
    font-size: 12px;
    font-weight: 600;
    margin-left: 5px;
}

.single-product .product-entry-wrapper .price + .eh-price__discount,
.single-product .product-entry-wrapper .price + .eh-price__discount + .eh-price__discount-notice {
    position: relative;
    top: -30px;
}

.single-product .product-entry-wrapper .eh-price__discount-notice {
    margin-left: 0.25em;
}

[data-products] .woocommerce-loop-product__title, [data-products] .woocommerce-loop-category__title {
    font-size: var(--fontSize) !important;
    font-weight: var(--fontWeight) !important;
}

.woocommerce-cart .bundle_table_item .product-subtotal > *,
.woocommerce-cart .bundle_table_item .price,
.woocommerce-cart .bundle_table_item .woocommerce-Price-amount,
.woocommerce-cart .bundle_table_item .ct-product-multiply-symbol,
.bundle_container_mini_cart_item .quantity {
    display: none;
}

.eh-cross-sells__heading td {
    padding-top: 3em;
}

.eh-cross-sells {
    background: rgba(252, 180, 36, 0.15);
    border-radius: 8px !important;
}

.eh-cross-sells + .eh-cross-sells {
    border-top: 6px solid #fff !important;
}

.eh-cross-sells__product-data {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 100%;
}

.eh-cross-sells__atc {
    text-align: right;
    padding-right: 20px !important;
}

@media (max-width: 999.98px) {
    .eh-cross-sells__product-data {
        flex-direction: column;
        align-items: flex-start;
    }

    .eh-cross-sells__atc {
        text-align: initial;
        padding-right: 0 !important;
        align-self: center;
        margin-top: 15px;
    }

}

/** Cookie Popup corrections HubSpot **/
div#hs-eu-opt-in-buttons {
    text-align: center !important;
}

/** Blog margins **/

body.blog .entry-card>*:not(:last-child) {
    margin-bottom: 5px !important;
}

body.blog ul:last-child{
    margin-bottom: 20px !important;
}

body.category .entry-card>*:not(:last-child) {
    margin-bottom: 5px !important;
}

body.category ul:last-child{
    margin-bottom: 20px !important;
}

/** Author short description **/

div.author-description{
    text-transform: none;
    font-size: 11px;
    font-weight: 500;
    margin-top: -2px;
}

#billing_eu_vat_number_field {
    display: none;
}

body.woocommerce-page .woocommerce-info,
body.woocommerce-page .woocommerce-message {
    background-color: #B9F9FF;
    border-radius: 16px;
    margin-bottom: 1.5rem;
    color: #00486B;
    font-weight: 500;
}



body.woocommerce-page .woocommerce-info a {
    text-decoration: underline;
    margin-left: 0.25em;
    color: #00486B;
}